cog-changelog(1)

NAME
cog-changelog - Display a changelog for the given commit oid range

SYNOPSIS
cog-changelog [-a|--at] [-t|--template] [-r|--remote] [-o|--owner] [--repository] [-h|--help] [PATTERN]

DESCRIPTION
Display a changelog for the given commit oid range

OPTIONS

-a, --at=AT
    Generate the changelog for a specific git tag

-t, --template=TEMPLATE
    Generate the changelog with the given template. Possible values are 'remote', 'full_hash', 'default' or the path to your template. If not specified cog will use cog.toml template config or fallback to 'default'.

-r, --remote=REMOTE
    Url to use during template generation

-o, --owner=OWNER
    Repository owner to use during template generation

--repository=REPOSITORY
    Name of the repository used during template generation

-h, --help
    Print help (see a summary with '-h')

[PATTERN]
    Generate the changelog in the given spec range